"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var useEventListener_1 = tslib_1.__importDefault(require("../useEventListener"));
var window_1 = tslib_1.__importDefault(require("../../util/window"));
function useMediaQuery(mediaQuery) {
    var _a = (0, react_1.useState)(false), isMatch = _a[0], setIsMatch = _a[1];
    var _b = (0, react_1.useState)(null), mediaQueryList = _b[0], setMediaQueryList = _b[1];
    (0, react_1.useEffect)(function () {
        var _a, _b;
        var list = (_a = window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.matchMedia(mediaQuery)) !== null && _a !== void 0 ? _a : null;
        setMediaQueryList(list);
        setIsMatch((_b = list === null || list === void 0 ? void 0 : list.matches) !== null && _b !== void 0 ? _b : false);
    }, [mediaQuery]);
    (0, useEventListener_1.default)("change", function (e) { return setIsMatch(e.matches); }, mediaQueryList);
    return isMatch;
}
exports.default = useMediaQuery;
