"use client";
import { useState } from "react";
import useEventListener from "../useEventListener";
export default function useHover(ref) {
    var _a = useState(false), hovered = _a[0], setHovered = _a[1];
    useEventListener("mouseover", function () { return setHovered(true); }, ref.current);
    useEventListener("mouseout", function () { return setHovered(false); }, ref.current);
    return hovered;
}
