import { Dependencies, ErrorHook } from "../../util";
export declare const FetchDefaultOptions: {
    headers: {
        "Content-Type": string;
    };
};
export type FetchHook<T, E> = [
    value: T | undefined,
    loading: boolean,
    error: ErrorHook<E>
];
export default function useFetch<T, E>(url: string, options?: RequestInit, dependencies?: Dependencies): FetchHook<T, E>;
