"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var useEventListener_1 = tslib_1.__importDefault(require("../useEventListener"));
var window_1 = tslib_1.__importDefault(require("../../util/window"));
function useScrollPosition(ref) {
    var _a = (0, react_1.useState)({
        x: 0,
        y: 0,
    }), scrollPosition = _a[0], setScrollPosition = _a[1];
    var handleScroll = function () {
        var _a, _b, _c, _d;
        if (ref && ref.current) {
            setScrollPosition({
                x: ref.current.scrollLeft,
                y: ref.current.scrollTop,
            });
        }
        else {
            setScrollPosition({
                x: (_b = (_a = window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.scrollX) !== null && _a !== void 0 ? _a : window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.document.documentElement.scrollLeft) !== null && _b !== void 0 ? _b : 0,
                y: (_d = (_c = window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.scrollY) !== null && _c !== void 0 ? _c : window_1.default === null || window_1.default === void 0 ? void 0 : window_1.default.document.documentElement.scrollTop) !== null && _d !== void 0 ? _d : 0,
            });
        }
    };
    (0, useEventListener_1.default)("scroll", handleScroll);
    return scrollPosition;
}
exports.default = useScrollPosition;
