"use client";
import { useState } from "react";
import copy from "copy-to-clipboard";
export default function useCopyToClipboard() {
    var _a = useState(""), value = _a[0], setValue = _a[1];
    var _b = useState(false), success = _b[0], setSuccess = _b[1];
    var copyToClipboard = function (text, options) {
        setSuccess(false);
        setValue("");
        var result = copy(text, options);
        if (result)
            setValue(text);
        setSuccess(result);
        return result;
    };
    return [copyToClipboard, { value: value, success: success }];
}
