"use client";
import { useEffect, useRef } from "react";
import win from "../../util/window";
function useScrollRestore() {
    var scrollPosition = useRef(0);
    useEffect(function () {
        return function () {
            var _a;
            scrollPosition.current = (_a = win === null || win === void 0 ? void 0 : win.scrollY) !== null && _a !== void 0 ? _a : -1;
        };
    }, []);
    useEffect(function () {
        win === null || win === void 0 ? void 0 : win.scrollTo(0, scrollPosition.current);
    }, []);
    function restoreScrollPosition() {
        win === null || win === void 0 ? void 0 : win.scrollTo(0, scrollPosition.current);
    }
    return restoreScrollPosition;
}
export default useScrollRestore;
