"use client";
import { useState, useEffect } from "react";
export default function useSize(ref) {
    var _a = useState({}), size = _a[0], setSize = _a[1];
    useEffect(function () {
        if (ref.current == null)
            return;
        var observer = new ResizeObserver(function (_a) {
            var entry = _a[0];
            return setSize(entry.contentRect);
        });
        observer.observe(ref.current);
        return function () { return observer.disconnect(); };
    }, []);
    return size;
}
